// ******************************************************************************************
// Mod Name: GDTResearchExpansion
// Mod Id: GDTResearchExpansion_kewlfish
// Mod Version: 2.0.0
// Mod File: code.js
// ******************************************************************************************
// Author: kewlfish
// Last modified: 11/21/2019 3:49 PM
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var GDTResearchExpansion = {};

(function(){

// ******************************************************************************************
// Researches: Engines
// ******************************************************************************************

// Adding Turn-Based Combat
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "ea0403d2-236c-43f9-9a20-13ad3d551b04",
	name: "回合制战术",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 1;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 1
	});

// Adding Real-Time Combat
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "d51bffe4-c6ec-4a59-908a-c36f1d54c1c6",
	name: "即时战术",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 3;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 2
	});

// Adding Stealth Mechanics
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "c23c9648-56b6-4a42-a1e1-7035483c1655",
	name: "潜行机制",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 2;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 2
	});

// Adding Advanced Stealth Mechanics
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "17e7e9ca-093f-42dc-8d16-9130deb0ede4",
	name: "高级潜行机制",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 9;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 8
	});

// Adding Platforming
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "4eadf780-9e76-476f-b338-23097efe0c9c",
	name: "平台游戏",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Level Design') >= 1;

						return res;
				},
	category: "Level Design",
	categoryDisplayName: "Level Design",
	v: 1
	});

// Adding Collect-A-Thon
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "d2162af2-bdb0-4a01-aa09-04bb88086389",
	name: "收集马拉松",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 2;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 2
	});

// Adding Side-Scroller
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "df576603-dbba-455d-a159-823d70f95a53",
	name: "横向卷轴",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Engine') >= 1;

						return res;
				},
	category: "Engine",
	categoryDisplayName: "Engine",
	v: 1
	});

// Adding First-Person Camera
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "dd559ba5-b9b8-49d9-82ca-98265400e392",
	name: "第一人称",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Engine') >= 2;

						return res;
				},
	category: "Engine",
	categoryDisplayName: "Engine",
	v: 2
	});

// Adding Third-Person Camera
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "eff2ebb8-1e81-40ed-967e-06b5e11937f5",
	name: "第三人称",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Engine') >= 1;

						return res;
				},
	category: "Engine",
	categoryDisplayName: "Engine",
	v: 1
	});

// Adding Switch-Perspective Camera
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "d179a751-451f-44e2-81b0-c1d297f23074",
	name: "视角切换",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Engine') >= 4;

						return res;
				},
	category: "Engine",
	categoryDisplayName: "Engine",
	v: 4
	});

// Adding Isometric Camera
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "bc02b347-10ad-442d-93c1-aa2f759e4e39",
	name: "等轴测",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Engine') >= 1;

						return res;
				},
	category: "Engine",
	categoryDisplayName: "Engine",
	v: 1
	});

// Adding Shooter
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "2e1d26b2-2949-45bb-ab12-77c21909935a",
	name: "射击游戏",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 2;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 2
	});

// Adding Beat-Em Up
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "ff68c28f-1d50-4045-bdd9-40a531022cbb",
	name: "清版动作",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 1;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 1
	});

// Adding Survival Mechanics
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "add23eb5-45da-4dcd-8f15-09df3a65e81f",
	name: "生存机制",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 8;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 8
	});

// Adding Fighting
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "b77bc190-a2cb-4818-8ac5-a6597b0bf49f",
	name: "格斗游戏",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 2;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 2
	});

// Adding Battle Royale
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "e7f1d86f-042b-42ad-b4d1-2c7b09b5ac9e",
	name: "Battle Royale",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 12;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 12
	});

// Adding Battle Arena
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "cdd3d699-e9cc-42f7-8537-24b04e064f1d",
	name: "大型多人在线",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 10;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 10
	});

// Adding 3D Cartoon Graphics
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "a621e2a7-050c-4ab0-9c2e-c787c344586e",
	name: "3D卡通图形",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Graphic') >= 3;

						return res;
				},
	category: "Graphic",
	categoryDisplayName: "Graphic",
	v: 4
	});

// Adding Cel-Shaded
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "eaeb7973-c4f7-4b28-9619-a245292404f8",
	name: "卡通渲染",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Graphic') >= 6;

						return res;
				},
	category: "Graphic",
	categoryDisplayName: "Graphic",
	v: 6
	});

// Adding Pixel Art
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "2fa8dc4d-f381-4890-ac2f-2dbad41950e1",
	name: "像素美术",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Graphic') >= 1;

						return res;
				},
	category: "Graphic",
	categoryDisplayName: "Graphic",
	v: 1
	});

// Adding Drawing-Style
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "c5a9cce1-a68f-45c0-ab52-2afdd7732932",
	name: "美术风格",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Graphic') >= 8;

						return res;
				},
	category: "Graphic",
	categoryDisplayName: "Graphic",
	v: 8
	});

// Adding Photorealism
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "79d958fc-82f8-4fa3-b227-513a9bb51a70",
	name: "真实渲染",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Graphic') >= 10;

						return res;
				},
	category: "Graphic",
	categoryDisplayName: "Graphic",
	v: 10
	});

// Adding City-Building Mechanics
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "ae7dd1cb-a8af-447a-9a01-2bd9efd9daff",
	name: "结构力学",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 2;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 2
	});

// Adding Quick Time Events
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "33efb9dc-42bc-474e-ad6d-efa7095ae4b7",
	name: "QTE",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 4;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 4
	});

// Adding Money Management
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "0cd77c05-5204-4276-93b5-cd4a7ea64a46",
	name: "理财教育",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 4;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 4
	});

// Adding Point-and-Click
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "5b0a1b37-7ff3-4da3-be06-c102975d1580",
	name: "指向 & 点击",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 2;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 2
	});

// Adding Social Management
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "bb556091-7e65-4952-ad63-eb7e667b410d",
	name: "社会模拟",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 4;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 4
	});

// Adding Hack-and-Slash
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "88f2e066-0f4c-11ea-8d71-362b9e155667",
	name: "砍杀游戏",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 3;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 4
	});

// Adding Power-Ups
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "b08e581c-0f4c-11ea-8d71-362b9e155667",
	name: "威力提升",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 2;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 2
	});

// Adding Secret Areas
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "67cbaccc-0f4e-11ea-8d71-362b9e155667",
	name: "隐藏点",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Level Design') >= 3;

						return res;
				},
	category: "Level Design",
	categoryDisplayName: "Level Design",
	v: 2
	});

// Adding Game Modes
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "0a2916bc-0f4f-11ea-8d71-362b9e155667",
	name: "游戏机制",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Engine') >= 2;

						return res;
				},
	category: "Engine",
	categoryDisplayName: "Engine",
	v: 2
	});

// Adding Real-Time Cutscenes
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "ec939f28-0fd5-11ea-8d71-362b9e155667",
	name: "实时过场动画",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getFeatureLevel(GameManager.company, 'Advanced Cutscenes') >= 1;
							res =   LevelCalculator.getMissionLevel('Story/Quests') >= 8;

						return res;
				},
	category: "Story/Quests",
	categoryDisplayName: "Story/Quests",
	v: 10
	});

// Adding Simple Crafting
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "4ec1389e-132e-11ea-8d71-362b9e155667",
	name: "程序生成",
	canResearch: function () {
							var res = true;
							res =   LevelCalculator.getMissionLevel('Gameplay') >= 2;

						return res;
				},
	category: "Gameplay",
	categoryDisplayName: "Gameplay",
	v: 2
	});

// ******************************************************************************************
// Topics
// ******************************************************************************************

GDT.addTopics([
{ 
	id: "5f7a7e50-c5bd-4cd2-bf86-a872aaab073d",
	name: "创世神",
	genreWeightings: [  1, 0.8, 0.6, 1, 0.6, 0.6 ],
	audienceWeightings: [  0.7, 1, 0.9 ]
	 }
,{ 
	id: "3387edf7-120b-455d-8eef-3cff5a9b2b3a",
	name: "动物园",
	genreWeightings: [  0.6, 0.6, 0.6, 1, 0.6, 0.9 ],
	audienceWeightings: [  1, 1, 0.7 ]
	 }

]);


})();
